
<!doctype html>
<html lang="en">

<head>
    <title>Code coverage report for actions/orderAction.js</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../prettify.css" />
    <link rel="stylesheet" href="../base.css" />
    <link rel="shortcut icon" type="image/x-icon" href="../favicon.png" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../sort-arrow-sprite.png);
        }
    </style>
</head>
    
<body>
<div class='wrapper'>
    <div class='pad1'>
        <h1><a href="../index.html">All files</a> / <a href="index.html">actions</a> orderAction.js</h1>
        <div class='clearfix'>
            
            <div class='fl pad1y space-right2'>
                <span class="strong">75.82% </span>
                <span class="quiet">Statements</span>
                <span class='fraction'>69/91</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">54.16% </span>
                <span class="quiet">Branches</span>
                <span class='fraction'>26/48</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">83.33% </span>
                <span class="quiet">Functions</span>
                <span class='fraction'>5/6</span>
            </div>
        
            
            <div class='fl pad1y space-right2'>
                <span class="strong">75.82% </span>
                <span class="quiet">Lines</span>
                <span class='fraction'>69/91</span>
            </div>
        
            
        </div>
        <p class="quiet">
            Press <em>n</em> or <em>j</em> to go to the next uncovered block, <em>b</em>, <em>p</em> or <em>k</em> for the previous block.
        </p>
    </div>
    <div class='status-line medium'></div>
    <pre><table class="coverage">
<tr><td class="line-count quiet"><a name='L1'></a><a href='#L1'>1</a>
<a name='L2'></a><a href='#L2'>2</a>
<a name='L3'></a><a href='#L3'>3</a>
<a name='L4'></a><a href='#L4'>4</a>
<a name='L5'></a><a href='#L5'>5</a>
<a name='L6'></a><a href='#L6'>6</a>
<a name='L7'></a><a href='#L7'>7</a>
<a name='L8'></a><a href='#L8'>8</a>
<a name='L9'></a><a href='#L9'>9</a>
<a name='L10'></a><a href='#L10'>10</a>
<a name='L11'></a><a href='#L11'>11</a>
<a name='L12'></a><a href='#L12'>12</a>
<a name='L13'></a><a href='#L13'>13</a>
<a name='L14'></a><a href='#L14'>14</a>
<a name='L15'></a><a href='#L15'>15</a>
<a name='L16'></a><a href='#L16'>16</a>
<a name='L17'></a><a href='#L17'>17</a>
<a name='L18'></a><a href='#L18'>18</a>
<a name='L19'></a><a href='#L19'>19</a>
<a name='L20'></a><a href='#L20'>20</a>
<a name='L21'></a><a href='#L21'>21</a>
<a name='L22'></a><a href='#L22'>22</a>
<a name='L23'></a><a href='#L23'>23</a>
<a name='L24'></a><a href='#L24'>24</a>
<a name='L25'></a><a href='#L25'>25</a>
<a name='L26'></a><a href='#L26'>26</a>
<a name='L27'></a><a href='#L27'>27</a>
<a name='L28'></a><a href='#L28'>28</a>
<a name='L29'></a><a href='#L29'>29</a>
<a name='L30'></a><a href='#L30'>30</a>
<a name='L31'></a><a href='#L31'>31</a>
<a name='L32'></a><a href='#L32'>32</a>
<a name='L33'></a><a href='#L33'>33</a>
<a name='L34'></a><a href='#L34'>34</a>
<a name='L35'></a><a href='#L35'>35</a>
<a name='L36'></a><a href='#L36'>36</a>
<a name='L37'></a><a href='#L37'>37</a>
<a name='L38'></a><a href='#L38'>38</a>
<a name='L39'></a><a href='#L39'>39</a>
<a name='L40'></a><a href='#L40'>40</a>
<a name='L41'></a><a href='#L41'>41</a>
<a name='L42'></a><a href='#L42'>42</a>
<a name='L43'></a><a href='#L43'>43</a>
<a name='L44'></a><a href='#L44'>44</a>
<a name='L45'></a><a href='#L45'>45</a>
<a name='L46'></a><a href='#L46'>46</a>
<a name='L47'></a><a href='#L47'>47</a>
<a name='L48'></a><a href='#L48'>48</a>
<a name='L49'></a><a href='#L49'>49</a>
<a name='L50'></a><a href='#L50'>50</a>
<a name='L51'></a><a href='#L51'>51</a>
<a name='L52'></a><a href='#L52'>52</a>
<a name='L53'></a><a href='#L53'>53</a>
<a name='L54'></a><a href='#L54'>54</a>
<a name='L55'></a><a href='#L55'>55</a>
<a name='L56'></a><a href='#L56'>56</a>
<a name='L57'></a><a href='#L57'>57</a>
<a name='L58'></a><a href='#L58'>58</a>
<a name='L59'></a><a href='#L59'>59</a>
<a name='L60'></a><a href='#L60'>60</a>
<a name='L61'></a><a href='#L61'>61</a>
<a name='L62'></a><a href='#L62'>62</a>
<a name='L63'></a><a href='#L63'>63</a>
<a name='L64'></a><a href='#L64'>64</a>
<a name='L65'></a><a href='#L65'>65</a>
<a name='L66'></a><a href='#L66'>66</a>
<a name='L67'></a><a href='#L67'>67</a>
<a name='L68'></a><a href='#L68'>68</a>
<a name='L69'></a><a href='#L69'>69</a>
<a name='L70'></a><a href='#L70'>70</a>
<a name='L71'></a><a href='#L71'>71</a>
<a name='L72'></a><a href='#L72'>72</a>
<a name='L73'></a><a href='#L73'>73</a>
<a name='L74'></a><a href='#L74'>74</a>
<a name='L75'></a><a href='#L75'>75</a>
<a name='L76'></a><a href='#L76'>76</a>
<a name='L77'></a><a href='#L77'>77</a>
<a name='L78'></a><a href='#L78'>78</a>
<a name='L79'></a><a href='#L79'>79</a>
<a name='L80'></a><a href='#L80'>80</a>
<a name='L81'></a><a href='#L81'>81</a>
<a name='L82'></a><a href='#L82'>82</a>
<a name='L83'></a><a href='#L83'>83</a>
<a name='L84'></a><a href='#L84'>84</a>
<a name='L85'></a><a href='#L85'>85</a>
<a name='L86'></a><a href='#L86'>86</a>
<a name='L87'></a><a href='#L87'>87</a>
<a name='L88'></a><a href='#L88'>88</a>
<a name='L89'></a><a href='#L89'>89</a>
<a name='L90'></a><a href='#L90'>90</a>
<a name='L91'></a><a href='#L91'>91</a>
<a name='L92'></a><a href='#L92'>92</a>
<a name='L93'></a><a href='#L93'>93</a>
<a name='L94'></a><a href='#L94'>94</a>
<a name='L95'></a><a href='#L95'>95</a>
<a name='L96'></a><a href='#L96'>96</a>
<a name='L97'></a><a href='#L97'>97</a>
<a name='L98'></a><a href='#L98'>98</a>
<a name='L99'></a><a href='#L99'>99</a>
<a name='L100'></a><a href='#L100'>100</a>
<a name='L101'></a><a href='#L101'>101</a>
<a name='L102'></a><a href='#L102'>102</a>
<a name='L103'></a><a href='#L103'>103</a>
<a name='L104'></a><a href='#L104'>104</a>
<a name='L105'></a><a href='#L105'>105</a>
<a name='L106'></a><a href='#L106'>106</a>
<a name='L107'></a><a href='#L107'>107</a>
<a name='L108'></a><a href='#L108'>108</a>
<a name='L109'></a><a href='#L109'>109</a>
<a name='L110'></a><a href='#L110'>110</a>
<a name='L111'></a><a href='#L111'>111</a>
<a name='L112'></a><a href='#L112'>112</a>
<a name='L113'></a><a href='#L113'>113</a>
<a name='L114'></a><a href='#L114'>114</a>
<a name='L115'></a><a href='#L115'>115</a>
<a name='L116'></a><a href='#L116'>116</a>
<a name='L117'></a><a href='#L117'>117</a>
<a name='L118'></a><a href='#L118'>118</a>
<a name='L119'></a><a href='#L119'>119</a>
<a name='L120'></a><a href='#L120'>120</a>
<a name='L121'></a><a href='#L121'>121</a>
<a name='L122'></a><a href='#L122'>122</a>
<a name='L123'></a><a href='#L123'>123</a>
<a name='L124'></a><a href='#L124'>124</a>
<a name='L125'></a><a href='#L125'>125</a>
<a name='L126'></a><a href='#L126'>126</a>
<a name='L127'></a><a href='#L127'>127</a>
<a name='L128'></a><a href='#L128'>128</a>
<a name='L129'></a><a href='#L129'>129</a>
<a name='L130'></a><a href='#L130'>130</a>
<a name='L131'></a><a href='#L131'>131</a>
<a name='L132'></a><a href='#L132'>132</a>
<a name='L133'></a><a href='#L133'>133</a>
<a name='L134'></a><a href='#L134'>134</a>
<a name='L135'></a><a href='#L135'>135</a>
<a name='L136'></a><a href='#L136'>136</a>
<a name='L137'></a><a href='#L137'>137</a>
<a name='L138'></a><a href='#L138'>138</a>
<a name='L139'></a><a href='#L139'>139</a>
<a name='L140'></a><a href='#L140'>140</a>
<a name='L141'></a><a href='#L141'>141</a>
<a name='L142'></a><a href='#L142'>142</a>
<a name='L143'></a><a href='#L143'>143</a>
<a name='L144'></a><a href='#L144'>144</a></td><td class="line-coverage quiet"><span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">4x</span>
<span class="cline-any cline-yes">4x</span>
<span class="cline-any cline-yes">4x</span>
<span class="cline-any cline-yes">4x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">4x</span>
<span class="cline-any cline-yes">4x</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">3x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-yes">2x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1x</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">2x</span></td><td class="text"><pre class="prettyprint lang-js">const helpers = require("../helpers/helpers");
const kitchenHandler = require('../handlers/kitchenHandler');
const trashService = require('../servises/trashService');
const orderService = require('../servises/orderService');
const fileReader = require("../servises/fileReader");
const taxService = require("../servises/taxService");
const spoilingService = require('../servises/spoilingService');
const timeService = require('../servises/timeService');
const commandConfiguration = require("../resources/input_files/commandConfiguration.json");
const priceData = require('../resources/input_files/price.json');
&nbsp;
// замовити інградієнт
const orderForIngredients = (inputArrays, command, resMessage, filePathForOutput, i, trash) =&gt; {
    inputArrays.forEach((array) =&gt; {
        <span class="missing-if-branch" title="else path not taken" >E</span>if (!trashService.getPoisoned()) {
            const userIngredients = [];
            let ingredient = array[0];
            let number = array[1];
            let spoilingAmount = 0;
            spoilingAmount = spoilingService.checkAmountOfSpoiling(number, commandConfiguration["spoil rate"]);
            spoilingAmount &gt; 0 ? spoilingAmount : <span class="branch-1 cbranch-no" title="branch not covered" >0;</span>
            const orderData = kitchenHandler.order(ingredient, (number - spoilingAmount), command["transaction tax"], command["total maximum"], command["max ingredient type"], userIngredients, commandConfiguration, spoilingAmount);
            resMessage = !orderData.res ?
<span class="branch-0 cbranch-no" title="branch not covered" >                `Wasted: ${orderData.wastedQuantity} ${ingredient} (limit: ${command["max ingredient type"]}); spoiled: ${spoilingAmount};`:</span>
                `success ${number - spoilingAmount}; sum = ${orderData.orderAmount}; wasted: ${orderData.wastedQuantity ? <span class="branch-0 cbranch-no" title="branch not covered" >orderData.wastedQuantity </span>: 0}; spoiled: ${spoilingAmount}; tax = ${orderData.transactionTaxSum};`;
            const auditMessage = helpers.createAuditMessage(i, resMessage);
            <span class="missing-if-branch" title="else path not taken" >E</span>if (orderData.wastedQuantity || spoilingAmount &gt; 0 ) {
                const allWastedQuantity = (orderData.wastedQuantity ? <span class="branch-0 cbranch-no" title="branch not covered" >orderData.wastedQuantity </span>: 0) + spoilingAmount;
&nbsp;
                trashService.trashService(command["waste limit"], trash, allWastedQuantity, ingredient);
                const ingredientPrice = priceData[ingredient];
                taxService.addToDailyTrashTax(ingredientPrice * number, commandConfiguration["waste tax"]);
            } else {
<span class="cstat-no" title="statement not covered" >                console.log('nothing to add to trash');</span>
            }
            const amount = inputArrays.length;
            const coefficient = 1.05 ** amount;
            kitchenHandler.auditAction(auditMessage, 'Order', inputArrays.toString(), amount, coefficient);
            fileReader.appendFile(filePathForOutput, auditMessage);
        }
        <span class="missing-if-branch" title="if path not taken" >I</span>if (trashService.getPoisoned()) {
<span class="cstat-no" title="statement not covered" >            kitchenHandler.messagePoisoned(filePathForOutput);</span>
        }
    });
};
&nbsp;
// замовити страву
const orderForDish = (inputArrays, command, resMessage, filePathForOutput, i, trash) =&gt; {
    inputArrays.forEach(array =&gt; {
            <span class="missing-if-branch" title="else path not taken" >E</span>if (!trashService.getPoisoned()) {
                const userIngredients = [];
                let ingredient = array[0];
                let number = array[1];
                const orderData = kitchenHandler.order(ingredient, number, command["transaction tax"], command["total maximum"], command["max dish type"], userIngredients );
                resMessage = !orderData.res ?
<span class="branch-0 cbranch-no" title="branch not covered" >                    `Wasted: ${orderData.wastedQuantity} ${ingredient} (limit: ${command["max dish type"]})` </span>:
                    `success; sum = ${orderData.orderAmount}; tax = ${orderData.transactionTaxSum}`;
                //trash
                <span class="missing-if-branch" title="if path not taken" >I</span>if (orderData.wastedQuantity) {
<span class="cstat-no" title="statement not covered" >                    userIngredients.forEach(<span class="fstat-no" title="function not covered" >ev</span>eryIngredient =&gt; {</span>
<span class="cstat-no" title="statement not covered" >                        trashService.trashService(command["waste limit"], trash, orderData.wastedQuantity, everyIngredient)</span>
                    })
                }
                const auditMessage = helpers.createAuditMessage(i, resMessage);
                const amount = inputArrays.length;
                const coefficient = 1.1 ** amount;
                kitchenHandler.auditAction(auditMessage, 'Order', inputArrays.toString(), amount, coefficient);
                fileReader.appendFile(filePathForOutput, auditMessage);
            }
            <span class="missing-if-branch" title="if path not taken" >I</span>if (trashService.getPoisoned()) {
<span class="cstat-no" title="statement not covered" >                kitchenHandler.messagePoisoned(filePathForOutput);</span>
            }
        }
    );
};
&nbsp;
const orderAction = (i, validBudget, filePathForOutput, command, food, base, trash) =&gt; {
    const inputArrays = orderService.dividedArray(i);
    const checkIsMalformedRec = orderService.checkIsMalformedRecord(i);
    trashService.checkIsPoisoned(trash, command["waste limit"]);
    const isDish = orderService.checkIsDishForAll(i);
&nbsp;
    <span class="missing-if-branch" title="else path not taken" >E</span>if (!checkIsMalformedRec.length) { //якщо немає невалідних записів
        if(validBudget &amp;&amp; !trashService.getPoisoned()) { //якщо ресторан не банкрут і не отруєний
            <span class="missing-if-branch" title="if path not taken" >I</span>if (command[i[0].toLowerCase()] === 'ingredients') { //якщо в файлі позиція 'ingredients'
                let resMessage;
<span class="cstat-no" title="statement not covered" >                if (!isDish.length) { //якщо всі ордери - базові інградієнти</span>
<span class="cstat-no" title="statement not covered" >                    orderForIngredients(inputArrays, command, resMessage, filePathForOutput, i, trash);</span>
&nbsp;
                    //time
                    const amount = <span class="cstat-no" title="statement not covered" >inputArrays.length;</span>
                    const coefficient = <span class="cstat-no" title="statement not covered" >1.05 ** amount;</span>
<span class="cstat-no" title="statement not covered" >                    console.log('time for ORDER', timeService.getTotalTimeForOrder(amount, coefficient));</span>
                    //
                } else {
                    const error = <span class="cstat-no" title="statement not covered" >'You cannot order something which is NOT a basic ingredient';</span>
<span class="cstat-no" title="statement not covered" >                    console.log('error from ingredient: ', error);</span>
                }
            }
            <span class="missing-if-branch" title="if path not taken" >I</span>if (command[i[0].toLowerCase()] === 'dishes') {
<span class="cstat-no" title="statement not covered" >                if (isDish.length === inputArrays.length) { //якщо всі ордери це dish</span>
                    let resMessage;
<span class="cstat-no" title="statement not covered" >                    orderForDish(inputArrays, command, resMessage, filePathForOutput, i, trash);</span>
&nbsp;
                    //time
                    const amount = <span class="cstat-no" title="statement not covered" >inputArrays.length;</span>
                    const coefficient = <span class="cstat-no" title="statement not covered" >1.1 ** amount;</span>
<span class="cstat-no" title="statement not covered" >                    console.log('time for ORDER', timeService.getTotalTimeForOrder(amount, coefficient));</span>
&nbsp;
                }
                else {
                    const error = <span class="cstat-no" title="statement not covered" >'You cannot order something which is NOT a dish';</span>
<span class="cstat-no" title="statement not covered" >                    console.log('error from dish: ', error);</span>
                }
            }
            if (command[i[0].toLowerCase()] === 'all') {
                const isIngredient = orderService.checkIsIngredientForAll(i);
                if (isIngredient.length &gt; 0) { //для ордерів інградієнтів
                    let resMessage;
                    orderForIngredients(isIngredient, command, resMessage, filePathForOutput, i, trash);
                }
                <span class="missing-if-branch" title="else path not taken" >E</span>if (isDish.length &gt; 0) { //для ордерів страв
                    let resMessage;
                    orderForDish(isDish, command, resMessage, filePathForOutput, i, trash);
                }
&nbsp;
                // time
                const amount = inputArrays.length;
                const coefficient = (1.1 ** isDish.length) * (1.05 ** isIngredient.length);
                console.log('time for ORDER', timeService.getTotalTimeForOrder(amount, coefficient));
            }
            else helpers.disabler(i) //якщо команда недоступна чи відсутня в конфіг
        }
        else <span class="missing-if-branch" title="if path not taken" >I</span>if (trashService.getPoisoned()) { //якщо ресторан poisoned
<span class="cstat-no" title="statement not covered" >            kitchenHandler.messagePoisoned(filePathForOutput);</span>
        } else
            kitchenHandler.sendRestaurantBudget(); //якщо ресторан банкрот
    }
    else <span class="cstat-no" title="statement not covered" >if (checkIsMalformedRec.length &gt; 0) { //якщо є брак інформації</span>
<span class="cstat-no" title="statement not covered" >        console.log('skip malformed record: parameters are missing');</span>
    }
};
&nbsp;
module.exports = { orderAction };</pre></td></tr></table></pre>

                <div class='push'></div><!-- for sticky footer -->
            </div><!-- /wrapper -->
            <div class='footer quiet pad2 space-top1 center small'>
                Code coverage generated by
                <a href="https://istanbul.js.org/" target="_blank">istanbul</a>
                at Wed Jan 05 2022 16:20:27 GMT+0200 (за східноєвропейським стандартним часом)
            </div>
        </div>
        <script src="../prettify.js"></script>
        <script>
            window.onload = function () {
                prettyPrint();
            };
        </script>
        <script src="../sorter.js"></script>
        <script src="../block-navigation.js"></script>
    </body>
</html>
    